package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintProbabilityScale;

public interface MaintProbabilityScaleDao extends Dao {
	
	DataTableResponse getAllMaintProbabilityScale(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);

	void deleteMaintProbabilityScale(Integer legalEntityCode, String probabltyScaleCode, String probabltyScaleType,
			String statusAuth);

	Boolean isMaintProbabilityScale(Integer legalEntityCode, String probabltyScaleCode, String probabltyScaleType);
	
	Boolean validateScore(MaintProbabilityScale maintProbabilityScale);

}
